fbbf95555770986689160ab7c149d14857b6e1fb
[scilab.git] / scilab / modules / xcos / Makefile.in
1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2009-2010 - Allan CORNET <allan.cornet@scilab.org>
21 # Copyright (C) DIGITEO - 2010-2010 - ClĂ©ment DAVID <clement.david@scilab.org>
22 #
23 # This file must be used under the terms of the CeCILL.
24 # This source file is licensed as described in the file COPYING, which
25 # you should have received as part of this distribution.  The terms
26 # are also available at
27 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
28 #
29
30 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
31 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
32 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
33 #
34 # This file must be used under the terms of the CeCILL.
35 # This source file is licensed as described in the file COPYING, which
36 # you should have received as part of this distribution.  The terms
37 # are also available at
38 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
39 #
40
41 ##########
42 ### Makefile included stuff
43 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
44 ##########
45
46
47 VPATH = @srcdir@
48 pkgdatadir = $(datadir)/@PACKAGE@
49 pkgincludedir = $(includedir)/@PACKAGE@
50 pkglibdir = $(libdir)/@PACKAGE@
51 pkglibexecdir = $(libexecdir)/@PACKAGE@
52 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
53 install_sh_DATA = $(install_sh) -c -m 644
54 install_sh_PROGRAM = $(install_sh) -c
55 install_sh_SCRIPT = $(install_sh) -c
56 INSTALL_HEADER = $(INSTALL_DATA)
57 transform = $(program_transform_name)
58 NORMAL_INSTALL = :
59 PRE_INSTALL = :
60 POST_INSTALL = :
61 NORMAL_UNINSTALL = :
62 PRE_UNINSTALL = :
63 POST_UNINSTALL = :
64 build_triplet = @build@
65 host_triplet = @host@
66 @GUI_TRUE@@XCOS_TRUE@am__append_1 = libscixcos.la
67 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
68         $(top_srcdir)/Makefile.incl.am
69 @NEED_JAVA_TRUE@am__append_2 = java
70 subdir = modules/xcos
71 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
72 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
73         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
74         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
75         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
76         $(top_srcdir)/m4/intel_compiler.m4 \
77         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
78         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
79         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
80         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
81         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
82         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
83         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
84         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
85         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
86         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
87         $(top_srcdir)/configure.ac
88 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
89         $(ACLOCAL_M4)
90 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
91 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
92 CONFIG_CLEAN_FILES =
93 CONFIG_CLEAN_VPATH_FILES =
94 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
95 am__vpath_adj = case $$p in \
96     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
97     *) f=$$p;; \
98   esac;
99 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
100 am__install_max = 40
101 am__nobase_strip_setup = \
102   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
103 am__nobase_strip = \
104   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
105 am__nobase_list = $(am__nobase_strip_setup); \
106   for p in $$list; do echo "$$p $$p"; done | \
107   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
108   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
109     if (++n[$$2] == $(am__install_max)) \
110       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
111     END { for (dir in files) print dir, files[dir] }'
112 am__base_list = \
113   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
114   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
115 am__uninstall_files_from_dir = { \
116   test -z "$$files" \
117     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
118     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
119          $(am__cd) "$$dir" && rm -f $$files; }; \
120   }
121 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
122         "$(DESTDIR)$(libscixcos_la_etcdir)" \
123         "$(DESTDIR)$(libscixcos_la_rootdir)" \
124         "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" \
125         "$(DESTDIR)$(libscixcos_la_imagesdir)"
126 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
127 libscixcos_algo_la_LIBADD =
128 am__objects_1 = libscixcos_algo_la-Xcos.lo \
129         libscixcos_algo_la-Palette.lo libscixcos_algo_la-Modelica.lo \
130         libscixcos_algo_la-xcosUtilities.lo
131 am_libscixcos_algo_la_OBJECTS = $(am__objects_1)
132 libscixcos_algo_la_OBJECTS = $(am_libscixcos_algo_la_OBJECTS)
133 @GUI_TRUE@@XCOS_TRUE@am_libscixcos_algo_la_rpath =
134 libscixcos_disable_la_LIBADD =
135 am__objects_2 = libscixcos_disable_la-noxcos.lo
136 am_libscixcos_disable_la_OBJECTS = $(am__objects_2)
137 libscixcos_disable_la_OBJECTS = $(am_libscixcos_disable_la_OBJECTS)
138 libscixcos_la_DEPENDENCIES = libscixcos-algo.la
139 am__objects_3 = libscixcos_la-gw_xcos.lo
140 am__objects_4 = libscixcos_la-sci_Xcos.lo \
141         libscixcos_la-sci_warnBlockByUID.lo \
142         libscixcos_la-sci_closeXcosFromScilab.lo \
143         libscixcos_la-sci_xcosDiagramToScilab.lo \
144         libscixcos_la-sci_xcosPalLoad.lo \
145         libscixcos_la-sci_xcosPalCategoryAdd.lo \
146         libscixcos_la-sci_xcosPalDelete.lo \
147         libscixcos_la-sci_xcosPalMove.lo \
148         libscixcos_la-sci_xcosPalEnable.lo \
149         libscixcos_la-sci_xcosPalDisable.lo \
150         libscixcos_la-sci_xcosPalGenerateIcon.lo \
151         libscixcos_la-sci_xcosConfigureXmlFile.lo \
152         libscixcos_la-sci_xcosAddToolsMenu.lo \
153         libscixcos_la-sci_xcosUpdateBlock.lo
154 am_libscixcos_la_OBJECTS = $(am__objects_3) $(am__objects_4)
155 libscixcos_la_OBJECTS = $(am_libscixcos_la_OBJECTS)
156 @GUI_TRUE@@XCOS_TRUE@am_libscixcos_la_rpath = -rpath $(pkglibdir)
157 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
158 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
159 am__depfiles_maybe = depfiles
160 am__mv = mv -f
161 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
162         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
163 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
164         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
165         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
166 CCLD = $(CC)
167 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
168         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
169         $(LDFLAGS) -o $@
170 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
171         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
172 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
173         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
174         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
175 CXXLD = $(CXX)
176 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
177         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
178         $(LDFLAGS) -o $@
179 SOURCES = $(libscixcos_algo_la_SOURCES) \
180         $(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
181 DIST_SOURCES = $(libscixcos_algo_la_SOURCES) \
182         $(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
183 DATA = $(libscixcos_la_etc_DATA) $(libscixcos_la_root_DATA) \
184         $(libscixcos_la_sci_gateway_DATA) \
185         $(nobase_libscixcos_la_images_DATA)
186 ETAGS = etags
187 CTAGS = ctags
188 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
189 ACLOCAL = @ACLOCAL@
190 ALL_LINGUAS = @ALL_LINGUAS@
191 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
192 AMTAR = @AMTAR@
193 ANT = @ANT@
194 ANTLR = @ANTLR@
195 AR = @AR@
196 ARPACK_LIBS = @ARPACK_LIBS@
197 ASM3 = @ASM3@
198 AUTOCONF = @AUTOCONF@
199 AUTOHEADER = @AUTOHEADER@
200 AUTOMAKE = @AUTOMAKE@
201 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
202 AWK = @AWK@
203 BATIK = @BATIK@
204 BLAS_LIBS = @BLAS_LIBS@
205 CC = @CC@
206 CCACHE = @CCACHE@
207 CCDEPMODE = @CCDEPMODE@
208 CFLAGS = @CFLAGS@
209 CHECKSTYLE = @CHECKSTYLE@
210 COBERTURA = @COBERTURA@
211 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
212 COMMONS_IO = @COMMONS_IO@
213 COMMONS_LOGGING = @COMMONS_LOGGING@
214 CPP = @CPP@
215 CPPFLAGS = @CPPFLAGS@
216 CXX = @CXX@
217 CXXCPP = @CXXCPP@
218 CXXDEPMODE = @CXXDEPMODE@
219 CXXFLAGS = @CXXFLAGS@
220 CYGPATH_W = @CYGPATH_W@
221 DEFS = @DEFS@
222 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
223 DEPDIR = @DEPDIR@
224 DOCBOOK_ROOT = @DOCBOOK_ROOT@
225 DSYMUTIL = @DSYMUTIL@
226 DUMPBIN = @DUMPBIN@
227 ECHO_C = @ECHO_C@
228 ECHO_N = @ECHO_N@
229 ECHO_T = @ECHO_T@
230 EGREP = @EGREP@
231 EXEEXT = @EXEEXT@
232 F77 = @F77@
233 FFLAGS = @FFLAGS@
234 FFTW3_LIB = @FFTW3_LIB@
235 FFTW_ENABLE = @FFTW_ENABLE@
236 FGREP = @FGREP@
237 FLEXDOCK = @FLEXDOCK@
238 FLIBS = @FLIBS@
239 FOP = @FOP@
240 GENHTML = @GENHTML@
241 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
242 GIWS_BIN = @GIWS_BIN@
243 GLUEGEN2_RT = @GLUEGEN2_RT@
244 GMSGFMT = @GMSGFMT@
245 GMSGFMT_015 = @GMSGFMT_015@
246 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
247 GREP = @GREP@
248 GUI_ENABLE = @GUI_ENABLE@
249 HDF5_CFLAGS = @HDF5_CFLAGS@
250 HDF5_LIBS = @HDF5_LIBS@
251 HELP_ENABLE = @HELP_ENABLE@
252 INSTALL = @INSTALL@
253 INSTALL_DATA = @INSTALL_DATA@
254 INSTALL_PROGRAM = @INSTALL_PROGRAM@
255 INSTALL_SCRIPT = @INSTALL_SCRIPT@
256 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
257 INTLLIBS = @INTLLIBS@
258 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
259 JAR = @JAR@
260 JAVA = @JAVA@
261 JAVAC = @JAVAC@
262 JAVAC_DEBUG = @JAVAC_DEBUG@
263 JAVADOC = @JAVADOC@
264 JAVAH = @JAVAH@
265 JAVASCI_ENABLE = @JAVASCI_ENABLE@
266 JAVA_ENABLE = @JAVA_ENABLE@
267 JAVA_G = @JAVA_G@
268 JAVA_HOME = @JAVA_HOME@
269 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
270 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
271 JDB = @JDB@
272 JEUCLID_CORE = @JEUCLID_CORE@
273 JGRAPHX = @JGRAPHX@
274 JHALL = @JHALL@
275 JHDF5 = @JHDF5@
276 JLATEXMATH = @JLATEXMATH@
277 JLATEXMATH_FOP = @JLATEXMATH_FOP@
278 JOGL2 = @JOGL2@
279 JROSETTA_API = @JROSETTA_API@
280 JROSETTA_ENGINE = @JROSETTA_ENGINE@
281 JUNIT4 = @JUNIT4@
282 LAPACK_LIBS = @LAPACK_LIBS@
283 LCOV = @LCOV@
284 LD = @LD@
285 LDFLAGS = @LDFLAGS@
286 LIBICONV = @LIBICONV@
287 LIBINTL = @LIBINTL@
288 LIBM = @LIBM@
289 LIBOBJS = @LIBOBJS@
290 LIBS = @LIBS@
291 LIBTOOL = @LIBTOOL@
292 LIPO = @LIPO@
293 LN_S = @LN_S@
294 LOGGING_LEVEL = @LOGGING_LEVEL@
295 LOOKS = @LOOKS@
296 LTLIBICONV = @LTLIBICONV@
297 LTLIBINTL = @LTLIBINTL@
298 LTLIBOBJS = @LTLIBOBJS@
299 MAINT = @MAINT@
300 MAKEINFO = @MAKEINFO@
301 MATIO_CFLAGS = @MATIO_CFLAGS@
302 MATIO_ENABLE = @MATIO_ENABLE@
303 MATIO_LIBS = @MATIO_LIBS@
304 MKDIR_P = @MKDIR_P@
305 MSGCAT = @MSGCAT@
306 MSGFMT = @MSGFMT@
307 MSGFMT_015 = @MSGFMT_015@
308 MSGMERGE = @MSGMERGE@
309 NM = @NM@
310 NMEDIT = @NMEDIT@
311 OBJDUMP = @OBJDUMP@
312 OBJEXT = @OBJEXT@
313 OCAMLC = @OCAMLC@
314 OCAMLDEP = @OCAMLDEP@
315 OCAMLLEX = @OCAMLLEX@
316 OCAMLOPT = @OCAMLOPT@
317 OCAMLYACC = @OCAMLYACC@
318 OPENMP_CFLAGS = @OPENMP_CFLAGS@
319 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
320 OPENMP_ENABLE = @OPENMP_ENABLE@
321 OPENMP_LIBS = @OPENMP_LIBS@
322 OTOOL = @OTOOL@
323 OTOOL64 = @OTOOL64@
324 PACKAGE = @PACKAGE@
325 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
326 PACKAGE_NAME = @PACKAGE_NAME@
327 PACKAGE_STRING = @PACKAGE_STRING@
328 PACKAGE_TARNAME = @PACKAGE_TARNAME@
329 PACKAGE_URL = @PACKAGE_URL@
330 PACKAGE_VERSION = @PACKAGE_VERSION@
331 PATH_SEPARATOR = @PATH_SEPARATOR@
332 PCRE_CFLAGS = @PCRE_CFLAGS@
333 PCRE_CONFIG = @PCRE_CONFIG@
334 PCRE_LIBS = @PCRE_LIBS@
335 PCRE_VERSION = @PCRE_VERSION@
336 PKG_CONFIG = @PKG_CONFIG@
337 POSUB = @POSUB@
338 POW_LIB = @POW_LIB@
339 PYTHON = @PYTHON@
340 RANLIB = @RANLIB@
341 RELOCATABLE = @RELOCATABLE@
342 RT_LIB = @RT_LIB@
343 SAXON = @SAXON@
344 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
345 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
346 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
347 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
348 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
349 SCIRENDERER = @SCIRENDERER@
350 SCI_CFLAGS = @SCI_CFLAGS@
351 SCI_CXXFLAGS = @SCI_CXXFLAGS@
352 SCI_FFLAGS = @SCI_FFLAGS@
353 SCI_LDFLAGS = @SCI_LDFLAGS@
354 SED = @SED@
355 SET_MAKE = @SET_MAKE@
356 SET_RELOCATABLE = @SET_RELOCATABLE@
357 SHELL = @SHELL@
358 SKINLF = @SKINLF@
359 SPLINT = @SPLINT@
360 STRIP = @STRIP@
361 SWIG_BIN = @SWIG_BIN@
362 SWIG_JAVA = @SWIG_JAVA@
363 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
364 TCLTK_LIBS = @TCLTK_LIBS@
365 TCL_INC_PATH = @TCL_INC_PATH@
366 TK_INC_PATH = @TK_INC_PATH@
367 UMFPACK_ENABLE = @UMFPACK_ENABLE@
368 UMFPACK_LIB = @UMFPACK_LIB@
369 USE_NLS = @USE_NLS@
370 VERSION = @VERSION@
371 WITH_OCAML = @WITH_OCAML@
372 WITH_TKSCI = @WITH_TKSCI@
373 XCOS_ENABLE = @XCOS_ENABLE@
374 XGETTEXT = @XGETTEXT@
375 XGETTEXT_015 = @XGETTEXT_015@
376 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
377 XMKMF = @XMKMF@
378 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
379 XML_APIS_EXT = @XML_APIS_EXT@
380 XML_CONFIG = @XML_CONFIG@
381 XML_FLAGS = @XML_FLAGS@
382 XML_LIBS = @XML_LIBS@
383 XML_VERSION = @XML_VERSION@
384 X_CFLAGS = @X_CFLAGS@
385 X_EXTRA_LIBS = @X_EXTRA_LIBS@
386 X_LIBS = @X_LIBS@
387 X_PRE_LIBS = @X_PRE_LIBS@
388 abs_builddir = @abs_builddir@
389 abs_srcdir = @abs_srcdir@
390 abs_top_builddir = @abs_top_builddir@
391 abs_top_srcdir = @abs_top_srcdir@
392 ac_ct_CC = @ac_ct_CC@
393 ac_ct_CXX = @ac_ct_CXX@
394 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
395 ac_ct_F77 = @ac_ct_F77@
396 am__include = @am__include@
397 am__leading_dot = @am__leading_dot@
398 am__quote = @am__quote@
399 am__tar = @am__tar@
400 am__untar = @am__untar@
401 bindir = @bindir@
402 build = @build@
403 build_alias = @build_alias@
404 build_cpu = @build_cpu@
405 build_os = @build_os@
406 build_vendor = @build_vendor@
407 builddir = @builddir@
408 cxx_present = @cxx_present@
409 datadir = @datadir@
410 datarootdir = @datarootdir@
411 docdir = @docdir@
412 dvidir = @dvidir@
413 exec_prefix = @exec_prefix@
414 host = @host@
415 host_alias = @host_alias@
416 host_cpu = @host_cpu@
417 host_os = @host_os@
418 host_vendor = @host_vendor@
419 htmldir = @htmldir@
420 includedir = @includedir@
421 infodir = @infodir@
422 install_sh = @install_sh@
423 libdir = @libdir@
424 libexecdir = @libexecdir@
425 localedir = @localedir@
426 localstatedir = @localstatedir@
427 mandir = @mandir@
428 mkdir_p = @mkdir_p@
429 oldincludedir = @oldincludedir@
430 pdfdir = @pdfdir@
431 prefix = @prefix@
432 program_transform_name = @program_transform_name@
433 psdir = @psdir@
434 sbindir = @sbindir@
435 sharedstatedir = @sharedstatedir@
436 srcdir = @srcdir@
437 sysconfdir = @sysconfdir@
438 target_alias = @target_alias@
439 top_build_prefix = @top_build_prefix@
440 top_builddir = @top_builddir@
441 top_srcdir = @top_srcdir@
442
443 #### Target ######
444 modulename = xcos
445
446 #### xcos : Conf files ####
447 libscixcos_la_rootdir = $(mydatadir)
448 libscixcos_la_root_DATA = license.txt
449
450 #### xcos : init scripts ####
451 libscixcos_la_etcdir = $(mydatadir)/etc
452 libscixcos_la_etc_DATA = \
453         etc/xcos.quit \
454         etc/xcos.start \
455         etc/Xcos-style.xml \
456         etc/XcosFile.xsd \
457         etc/xcos.xml \
458         etc/XcosConfiguration.xsd \
459         etc/palettes.xml \
460         etc/PaletteConfiguration.xsd \
461         etc/Modelica.xsd \
462         etc/XConfiguration-xcos.xsl \
463         etc/XConfiguration-xcos.xml
464
465 XCOS_CXX_SOURCES = src/jni/Xcos.cpp \
466                         src/jni/Xcos.hxx \
467                         src/jni/Palette.cpp \
468                         src/jni/Palette.hxx \
469                         src/jni/Modelica.cpp \
470                         src/jni/Modelica.hxx \
471                         src/cpp/xcosUtilities.cpp
472
473 GIWS_WRAPPERS = src/jni/Xcos.giws.xml \
474                         src/jni/Palette.giws.xml \
475                         src/jni/Modelica.giws.xml
476
477 @GIWS_TRUE@BUILT_SOURCES = giws
478 GATEWAY_C_SOURCES = sci_gateway/c/gw_xcos.c
479 GATEWAY_CXX_SOURCES = \
480         sci_gateway/cpp/sci_Xcos.cpp \
481         sci_gateway/cpp/sci_warnBlockByUID.cpp \
482         sci_gateway/cpp/sci_closeXcosFromScilab.cpp \
483         sci_gateway/cpp/sci_xcosDiagramToScilab.cpp \
484         sci_gateway/cpp/sci_xcosPalLoad.cpp \
485         sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp \
486         sci_gateway/cpp/sci_xcosPalDelete.cpp \
487         sci_gateway/cpp/sci_xcosPalMove.cpp \
488         sci_gateway/cpp/sci_xcosPalEnable.cpp \
489         sci_gateway/cpp/sci_xcosPalDisable.cpp \
490         sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp \
491         sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp \
492         sci_gateway/cpp/sci_xcosAddToolsMenu.cpp \
493         sci_gateway/cpp/sci_xcosUpdateBlock.cpp
494
495 libscixcos_la_CPPFLAGS = \
496                         -I$(srcdir)/includes/ \
497                         -I$(srcdir)/src/jni/ \
498                         -I$(srcdir)/src/cpp/ \
499                         -I$(srcdir)/src/c/ \
500                         -I$(top_srcdir)/libs/MALLOC/includes/ \
501                         -I$(top_srcdir)/modules/jvm/includes/ \
502                         -I$(top_srcdir)/modules/output_stream/includes/ \
503                         -I$(top_srcdir)/modules/commons/src/jni/ \
504                         -I$(top_srcdir)/modules/localization/includes/ \
505                         -I$(top_srcdir)/modules/fileio/includes/ \
506                         -I$(top_srcdir)/modules/scicos_blocks/src/jni/ \
507                         -I$(top_srcdir)/modules/api_scilab/includes/ \
508                         $(JAVA_JNI_INCLUDE) \
509                         $(AM_CPPFLAGS)
510
511
512 # Without the xcos module
513 libscixcos_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
514                         -I$(top_srcdir)/modules/localization/includes/ \
515                         -I$(top_srcdir)/modules/output_stream/includes \
516                         $(AM_CPPFLAGS)
517
518 XCOS_DISABLE_C_SOURCES = src/noxcos/noxcos.c
519 libscixcos_disable_la_SOURCES = $(XCOS_DISABLE_C_SOURCES)
520 pkglib_LTLIBRARIES = libscixcos-disable.la $(am__append_1)
521 @GUI_TRUE@@XCOS_TRUE@noinst_LTLIBRARIES = libscixcos-algo.la
522 libscixcos_algo_la_SOURCES = $(XCOS_C_SOURCES) $(XCOS_CXX_SOURCES)
523 libscixcos_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
524 libscixcos_algo_la_CPPFLAGS = $(libscixcos_la_CPPFLAGS)
525
526 # For the code check (splint)
527 CHECK_SRC = $(XCOS_C_SOURCES) $(GATEWAY_C_SOURCES)
528 INCLUDE_FLAGS = $(libscixcos_la_CPPFLAGS)
529 libscixcos_la_LIBADD = libscixcos-algo.la
530
531 #### xcos : gateway declaration ####
532 libscixcos_la_sci_gatewaydir = $(mydatadir)/sci_gateway
533 libscixcos_la_sci_gateway_DATA = sci_gateway/xcos_gateway.xml
534
535 #### xcos : images files ####
536 #
537 # Generated with:
538 #   $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png -not -name *_pal.jpg -not -name gui |sort |awk '$0 !~ /gui/{print;}' |awk '$0 !~ /_pal.jpg/{print;}'
539 libscixcos_la_imagesdir = $(mydatadir)/
540 nobase_libscixcos_la_images_DATA = images/blocks/3DSCOPE.svg \
541 images/blocks/ANDBLK.svg \
542 images/blocks/ASCOPE.svg \
543 images/blocks/BACHE.svg \
544 images/blocks/BARXY.svg \
545 images/blocks/BPLATFORM.svg \
546 images/blocks/Capacitor.svg \
547 images/blocks/CCS.svg \
548 images/blocks/CLOCK_c.svg \
549 images/blocks/CLOCK_f.svg \
550 images/blocks/ConstantVoltage.svg \
551 images/blocks/CSCOPXY.svg \
552 images/blocks/CurrentSensor.svg \
553 images/blocks/CVS.svg \
554 images/blocks/DEADBAND.svg \
555 images/blocks/Diode.svg \
556 images/blocks/DSCOPE.svg \
557 images/blocks/Ground.svg \
558 images/blocks/Gyrator.svg \
559 images/blocks/HYSTHERESIS.svg \
560 images/blocks/IdealTransformer.svg \
561 images/blocks/Inductor.svg \
562 images/blocks/INTEGRAL.svg \
563 images/blocks/NMOS.svg \
564 images/blocks/NPN.svg \
565 images/blocks/PerteDP.svg \
566 images/blocks/PMOS.svg \
567 images/blocks/PNP.svg \
568 images/blocks/PotentialSensor.svg \
569 images/blocks/PRODUCT.svg \
570 images/blocks/PuitP.svg \
571 images/blocks/PULSE_SC.svg \
572 images/blocks/QUANT_f.svg \
573 images/blocks/RAMP.svg \
574 images/blocks/Resistor.svg \
575 images/blocks/SampleCLK.svg \
576 images/blocks/SATURATION.svg \
577 images/blocks/Self_Switch_off.svg \
578 images/blocks/Self_Switch_on.svg \
579 images/blocks/SELF_SWITCH.svg \
580 images/blocks/SourceP.svg \
581 images/blocks/STEP_FUNCTION.svg \
582 images/blocks/SUM.svg \
583 images/blocks/SUPER.svg \
584 images/blocks/SWITCH.svg \
585 images/blocks/VanneReglante.svg \
586 images/blocks/VariableResistor.svg \
587 images/blocks/VoltageSensor.svg \
588 images/icons/16x16/actions/align-horizontal-center.png \
589 images/icons/16x16/actions/align-horizontal-left.png \
590 images/icons/16x16/actions/align-horizontal-right.png \
591 images/icons/16x16/actions/align-vertical-bottom.png \
592 images/icons/16x16/actions/align-vertical-center.png \
593 images/icons/16x16/actions/align-vertical-top.png \
594 images/icons/16x16/actions/color-fill.png \
595 images/icons/16x16/actions/draw-brush.png \
596 images/icons/16x16/actions/object-group.png \
597 images/icons/16x16/actions/process-stop.png \
598 images/icons/16x16/actions/select-by-color.png \
599 images/icons/16x16/actions/transform-flip.png \
600 images/icons/16x16/actions/transform-mirror.png \
601 images/icons/16x16/categories/preferences-desktop.png \
602 images/palettes/ABS_VALUE.png \
603 images/palettes/AFFICH_m.png \
604 images/palettes/ANDBLK.png \
605 images/palettes/ANDLOG_f.png \
606 images/palettes/AUTOMAT.png \
607 images/palettes/Bache.png \
608 images/palettes/BACKLASH.png \
609 images/palettes/BARXY.png \
610 images/palettes/BIGSOM_f.png \
611 images/palettes/BITCLEAR.png \
612 images/palettes/BITSET.png \
613 images/palettes/BOUNCE.png \
614 images/palettes/BOUNCEXY.png \
615 images/palettes/BPLATFORM.png \
616 images/palettes/CANIMXY3D.png \
617 images/palettes/CANIMXY.png \
618 images/palettes/Capacitor.png \
619 images/palettes/c_block.png \
620 images/palettes/CBLOCK.png \
621 images/palettes/CCS.png \
622 images/palettes/CEVENTSCOPE.png \
623 images/palettes/CFSCOPE.png \
624 images/palettes/CLINDUMMY_f.png \
625 images/palettes/CLKFROM.png \
626 images/palettes/CLKGOTO.png \
627 images/palettes/CLKGotoTagVisibility.png \
628 images/palettes/CLKINV_f.png \
629 images/palettes/CLKOUTV_f.png \
630 images/palettes/CLKSOMV_f.png \
631 images/palettes/CLOCK_c.png \
632 images/palettes/CLR.png \
633 images/palettes/CLSS.png \
634 images/palettes/CMAT3D.png \
635 images/palettes/CMATVIEW.png \
636 images/palettes/CMSCOPE.png \
637 images/palettes/ConstantVoltage.png \
638 images/palettes/CONST_m.png \
639 images/palettes/CONSTRAINT2_c.png \
640 images/palettes/CONSTRAINT_c.png \
641 images/palettes/CONVERT.png \
642 images/palettes/COSBLK_f.png \
643 images/palettes/Counter.png \
644 images/palettes/CSCOPE.png \
645 images/palettes/CSCOPXY3D.png \
646 images/palettes/CSCOPXY.png \
647 images/palettes/CUMSUM.png \
648 images/palettes/CurrentSensor.png \
649 images/palettes/CURV_f.png \
650 images/palettes/CVS.png \
651 images/palettes/DEADBAND.png \
652 images/palettes/DEBUG_SCICOS.png \
653 images/palettes/DELAY_f.png \
654 images/palettes/DELAYV_f.png \
655 images/palettes/DEMUX.png \
656 images/palettes/DERIV.png \
657 images/palettes/DFLIPFLOP.png \
658 images/palettes/DIFF_f.png \
659 images/palettes/Diode.png \
660 images/palettes/DLATCH.png \
661 images/palettes/DLRADAPT_f.png \
662 images/palettes/DLR.png \
663 images/palettes/DLSS.png \
664 images/palettes/DOLLAR_f.png \
665 images/palettes/EDGE_TRIGGER.png \
666 images/palettes/ENDBLK.png \
667 images/palettes/END_c.png \
668 images/palettes/ESELECT_f.png \
669 images/palettes/EVTDLY_c.png \
670 images/palettes/EVTGEN_f.png \
671 images/palettes/EVTVARDLY.png \
672 images/palettes/EXPBLK_m.png \
673 images/palettes/EXPRESSION.png \
674 images/palettes/Extract_Activation.png \
675 images/palettes/EXTRACTBITS.png \
676 images/palettes/EXTRACTOR.png \
677 images/palettes/EXTRACT.png \
678 images/palettes/EXTTRI.png \
679 images/palettes/fortran_block.png \
680 images/palettes/freq_div.png \
681 images/palettes/FROMMO.png \
682 images/palettes/FROM.png \
683 images/palettes/FROMWSB.png \
684 images/palettes/GAINBLK_f.png \
685 images/palettes/GENERAL_f.png \
686 images/palettes/generic_block3.png \
687 images/palettes/GENSIN_f.png \
688 images/palettes/GENSQR_f.png \
689 images/palettes/GOTOMO.png \
690 images/palettes/GOTO.png \
691 images/palettes/GotoTagVisibilityMO.png \
692 images/palettes/GotoTagVisibility.png \
693 images/palettes/Ground.png \
694 images/palettes/Gyrator.png \
695 images/palettes/HALT_f.png \
696 images/palettes/HYSTHERESIS.png \
697 images/palettes/IdealTransformer.png \
698 images/palettes/IFTHEL_f.png \
699 images/palettes/Inductor.png \
700 images/palettes/IN_f.png \
701 images/palettes/INIMPL_f.png \
702 images/palettes/INTEGRAL_f.png \
703 images/palettes/INTEGRAL_m.png \
704 images/palettes/INTMUL.png \
705 images/palettes/INTRP2BLK_f.png \
706 images/palettes/INTRPLBLK_f.png \
707 images/palettes/INVBLK.png \
708 images/palettes/ISELECT_m.png \
709 images/palettes/JKFLIPFLOP.png \
710 images/palettes/LOGBLK_f.png \
711 images/palettes/LOGICAL_OP.png \
712 images/palettes/LOGIC.png \
713 images/palettes/LOOKUP_f.png \
714 images/palettes/MATBKSL.png \
715 images/palettes/MATCATH.png \
716 images/palettes/MATCATV.png \
717 images/palettes/MATDET.png \
718 images/palettes/MATDIAG.png \
719 images/palettes/MATDIV.png \
720 images/palettes/MATEIG.png \
721 images/palettes/MATEXPM.png \
722 images/palettes/MATINV.png \
723 images/palettes/MATLU.png \
724 images/palettes/MATMAGPHI.png \
725 images/palettes/MATMUL.png \
726 images/palettes/MATPINV.png \
727 images/palettes/MATRESH.png \
728 images/palettes/MATSING.png \
729 images/palettes/MATSUM.png \
730 images/palettes/MATTRAN.png \
731 images/palettes/MATZCONJ.png \
732 images/palettes/MATZREIM.png \
733 images/palettes/MAX_f.png \
734 images/palettes/MAXMIN.png \
735 images/palettes/MBLOCK.png \
736 images/palettes/MCLOCK_f.png \
737 images/palettes/MFCLCK_f.png \
738 images/palettes/M_freq.png \
739 images/palettes/MIN_f.png \
740 images/palettes/Modulo_Count.png \
741 images/palettes/M_SWITCH.png \
742 images/palettes/MUX.png \
743 images/palettes/NEGTOPOS_f.png \
744 images/palettes/NMOS.png \
745 images/palettes/NPN.png \
746 images/palettes/NRMSOM_f.png \
747 images/palettes/OpAmp.png \
748 images/palettes/OUT_f.png \
749 images/palettes/OUTIMPL_f.png \
750 images/palettes/PDE.png \
751 images/palettes/PerteDP.png \
752 images/palettes/PID.png \
753 images/palettes/PMOS.png \
754 images/palettes/PNP.png \
755 images/palettes/POSTONEG_f.png \
756 images/palettes/PotentialSensor.png \
757 images/palettes/POWBLK_f.png \
758 images/palettes/PROD_f.png \
759 images/palettes/PRODUCT.png \
760 images/palettes/PuitsP.png \
761 images/palettes/PULSE_SC.png \
762 images/palettes/QUANT_f.png \
763 images/palettes/RAMP.png \
764 images/palettes/RAND_m.png \
765 images/palettes/RATELIMITER.png \
766 images/palettes/READAU_f.png \
767 images/palettes/READC_f.png \
768 images/palettes/REGISTER.png \
769 images/palettes/RELATIONALOP.png \
770 images/palettes/RELAY_f.png \
771 images/palettes/Resistor.png \
772 images/palettes/RFILE_f.png \
773 images/palettes/RICC.png \
774 images/palettes/ROOTCOEF.png \
775 images/palettes/SAMPHOLD_m.png \
776 images/palettes/SampleCLK.png \
777 images/palettes/SATURATION.png \
778 images/palettes/SAWTOOTH_f.png \
779 images/palettes/SCALAR2VECTOR.png \
780 images/palettes/scifunc_block_m.png \
781 images/palettes/SELECT_m.png \
782 images/palettes/SELF_SWITCH_off.png \
783 images/palettes/SELF_SWITCH_on.png \
784 images/palettes/SELF_SWITCH.png \
785 images/palettes/SHIFT.png \
786 images/palettes/Sigbuilder.png \
787 images/palettes/SIGNUM.png \
788 images/palettes/SINBLK_f.png \
789 images/palettes/SineVoltage.png \
790 images/palettes/SourceP.png \
791 images/palettes/SQRT.png \
792 images/palettes/SRFLIPFLOP.png \
793 images/palettes/STEP_FUNCTION.png \
794 images/palettes/SUBMAT.png \
795 images/palettes/SUM_f.png \
796 images/palettes/SUMMATION.png \
797 images/palettes/SUPER_f.png \
798 images/palettes/SWITCH2_m.png \
799 images/palettes/SWITCH_f.png \
800 images/palettes/Switch.png \
801 images/palettes/TANBLK_f.png \
802 images/palettes/TCLSS.png \
803 images/palettes/TEXT_f.png \
804 images/palettes/TIME_DELAY.png \
805 images/palettes/TIME_f.png \
806 images/palettes/TKSCALE.png \
807 images/palettes/TOWS_c.png \
808 images/palettes/TRASH_f.png \
809 images/palettes/TrigFun.png \
810 images/palettes/VanneReglante.png \
811 images/palettes/VARIABLE_DELAY.png \
812 images/palettes/VariableResistor.png \
813 images/palettes/VirtualCLK0.png \
814 images/palettes/VoltageSensor.png \
815 images/palettes/VsourceAC.png \
816 images/palettes/VVsourceAC.png \
817 images/palettes/WFILE_f.png \
818 images/palettes/WRITEAU_f.png \
819 images/palettes/WRITEC_f.png \
820 images/palettes/ZCROSS_f.png
821
822 @GUI_TRUE@@XCOS_TRUE@USEANT = 1
823
824 # Where all the Scilab stuff is installed (macros, help, ...)
825 mydatadir = $(pkgdatadir)/modules/$(modulename)
826
827 # Set AM_* SCI detected settings
828 AM_CPPFLAGS = $(SCI_CPPFLAGS)
829 AM_CFLAGS = $(SCI_CFLAGS)
830 AM_CXXFLAGS = $(SCI_CXXFLAGS)
831 # append includes to AM_FFLAGS to manage fortran includes
832 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
833
834 # Tag shared libraries with the Scilab version
835 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
836
837 # splint options
838 SPLINT_OPTIONS = -weak -booltype BOOL
839
840 ########################### JAVA ######################################
841 #### We are delegating java compilation to ant... Thanks to that
842 #### the procedure will be the same with Microsoft Windows (C)
843 #### and Linux/Unix
844 #######################################################################
845 TARGETS_ALL = $(am__append_2)
846
847 ################ MACROS ######################
848 # Rule to build a macro
849 # NOT USED  AT THE MOMENT
850 SUFFIXES = .sci 
851
852 ########### INSTALL DOCUMENTATION ###################
853
854 # Install documentation files into the right target
855 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
856 # automake needs the html files to be present which is not the case when
857 # we are building Scilab
858
859 # Where it should be installed
860 pkgdocdir = $(mydatadir)
861
862 # What is the mask of the help source
863 DOCMASKXML = *.xml
864
865 # What is the mask of the MathML sources
866 DOCMASKMML = *.mml
867
868 ########### INSTALL DATA ###################
869 # Install macros, help & demos
870 # Where it should be installed
871 pkgmacrosdir = $(mydatadir)
872 # Which directory we process
873 MACRODIRS = macros/
874 # Mask of the Scilab sources macros
875 MACROMASK = *.sci
876 # Mask of the Scilab executable sources macros
877 MACROBUILDMASK = *.sce
878 # Mask of the Scilab compiled macros
879 MACROBINMASK = *.bin
880 # List of the standard directory for tests
881 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
882 # Where the demos should be installed
883 pkgdemosdir = $(mydatadir)
884 # List of the standard directory for demos
885 DEMOS_DIR = demos
886 # List of the standard directory for examples
887 EXAMPLES_DIR = examples
888 # Where to export JAVA archives (.jar)
889 JARDIR = jar/
890 # JAR files mask
891 JARMASK = *.jar
892 # Chapter file 
893 HELP_CHAPTERDIR = help/
894 HELP_CHAPTERFILE = addchapter.sce
895 HELP_CHAPTERLANG = en_US fr_FR pt_BR
896 all: $(BUILT_SOURCES)
897         $(MAKE) $(AM_MAKEFLAGS) all-am
898
899 .SUFFIXES:
900 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
901 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
902         @for dep in $?; do \
903           case '$(am__configure_deps)' in \
904             *$$dep*) \
905               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
906                 && { if test -f $@; then exit 0; else break; fi; }; \
907               exit 1;; \
908           esac; \
909         done; \
910         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/xcos/Makefile'; \
911         $(am__cd) $(top_srcdir) && \
912           $(AUTOMAKE) --foreign modules/xcos/Makefile
913 .PRECIOUS: Makefile
914 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
915         @case '$?' in \
916           *config.status*) \
917             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
918           *) \
919             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
920             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
921         esac;
922 $(top_srcdir)/Makefile.incl.am:
923
924 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
925         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
926
927 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
928         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
929 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
930         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
931 $(am__aclocal_m4_deps):
932
933 clean-noinstLTLIBRARIES:
934         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
935         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
936           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
937           test "$$dir" != "$$p" || dir=.; \
938           echo "rm -f \"$${dir}/so_locations\""; \
939           rm -f "$${dir}/so_locations"; \
940         done
941 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
942         @$(NORMAL_INSTALL)
943         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
944         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
945         list2=; for p in $$list; do \
946           if test -f $$p; then \
947             list2="$$list2 $$p"; \
948           else :; fi; \
949         done; \
950         test -z "$$list2" || { \
951           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
952           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
953         }
954
955 uninstall-pkglibLTLIBRARIES:
956         @$(NORMAL_UNINSTALL)
957         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
958         for p in $$list; do \
959           $(am__strip_dir) \
960           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
961           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
962         done
963
964 clean-pkglibLTLIBRARIES:
965         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
966         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
967           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
968           test "$$dir" != "$$p" || dir=.; \
969           echo "rm -f \"$${dir}/so_locations\""; \
970           rm -f "$${dir}/so_locations"; \
971         done
972 libscixcos-algo.la: $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_DEPENDENCIES) $(EXTRA_libscixcos_algo_la_DEPENDENCIES) 
973         $(CXXLINK) $(am_libscixcos_algo_la_rpath) $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_LIBADD) $(LIBS)
974 libscixcos-disable.la: $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_DEPENDENCIES) $(EXTRA_libscixcos_disable_la_DEPENDENCIES) 
975         $(LINK) -rpath $(pkglibdir) $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_LIBADD) $(LIBS)
976 libscixcos.la: $(libscixcos_la_OBJECTS) $(libscixcos_la_DEPENDENCIES) $(EXTRA_libscixcos_la_DEPENDENCIES) 
977         $(CXXLINK) $(am_libscixcos_la_rpath) $(libscixcos_la_OBJECTS) $(libscixcos_la_LIBADD) $(LIBS)
978
979 mostlyclean-compile:
980         -rm -f *.$(OBJEXT)
981
982 distclean-compile:
983         -rm -f *.tab.c
984
985 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Modelica.Plo@am__quote@
986 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Palette.Plo@am__quote@
987 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Xcos.Plo@am__quote@
988 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo@am__quote@
989 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_disable_la-noxcos.Plo@am__quote@
990 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-gw_xcos.Plo@am__quote@
991 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_Xcos.Plo@am__quote@
992 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo@am__quote@
993 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo@am__quote@
994 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo@am__quote@
995 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo@am__quote@
996 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo@am__quote@
997 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo@am__quote@
998 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo@am__quote@
999 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo@am__quote@
1000 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo@am__quote@
1001 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo@am__quote@
1002 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo@am__quote@
1003 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo@am__quote@
1004 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo@am__quote@
1005
1006 .c.o:
1007 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1008 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1009 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1010 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1011 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
1012
1013 .c.obj:
1014 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1015 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1016 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1017 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1018 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
1019
1020 .c.lo:
1021 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1022 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1023 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1024 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1025 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
1026
1027 libscixcos_disable_la-noxcos.lo: src/noxcos/noxcos.c
1028 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscixcos_disable_la-noxcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_disable_la-noxcos.Tpo -c -o libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c
1029 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscixcos_disable_la-noxcos.Tpo $(DEPDIR)/libscixcos_disable_la-noxcos.Plo
1030 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noxcos/noxcos.c' object='libscixcos_disable_la-noxcos.lo' libtool=yes @AMDEPBACKSLASH@
1031 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1032 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c
1033
1034 libscixcos_la-gw_xcos.lo: sci_gateway/c/gw_xcos.c
1035 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscixcos_la-gw_xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-gw_xcos.Tpo -c -o libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c
1036 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscixcos_la-gw_xcos.Tpo $(DEPDIR)/libscixcos_la-gw_xcos.Plo
1037 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_xcos.c' object='libscixcos_la-gw_xcos.lo' libtool=yes @AMDEPBACKSLASH@
1038 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1039 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c
1040
1041 .cpp.o:
1042 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1043 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1044 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1045 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1046 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
1047
1048 .cpp.obj:
1049 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1050 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1051 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1052 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1053 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1054
1055 .cpp.lo:
1056 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1057 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1058 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1059 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1060 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
1061
1062 libscixcos_algo_la-Xcos.lo: src/jni/Xcos.cpp
1063 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Xcos.Tpo -c -o libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp
1064 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Xcos.Tpo $(DEPDIR)/libscixcos_algo_la-Xcos.Plo
1065 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Xcos.cpp' object='libscixcos_algo_la-Xcos.lo' libtool=yes @AMDEPBACKSLASH@
1066 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1067 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp
1068
1069 libscixcos_algo_la-Palette.lo: src/jni/Palette.cpp
1070 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Palette.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Palette.Tpo -c -o libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp
1071 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Palette.Tpo $(DEPDIR)/libscixcos_algo_la-Palette.Plo
1072 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Palette.cpp' object='libscixcos_algo_la-Palette.lo' libtool=yes @AMDEPBACKSLASH@
1073 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1074 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp
1075
1076 libscixcos_algo_la-Modelica.lo: src/jni/Modelica.cpp
1077 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Modelica.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Modelica.Tpo -c -o libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp
1078 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Modelica.Tpo $(DEPDIR)/libscixcos_algo_la-Modelica.Plo
1079 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Modelica.cpp' object='libscixcos_algo_la-Modelica.lo' libtool=yes @AMDEPBACKSLASH@
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1081 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp
1082
1083 libscixcos_algo_la-xcosUtilities.lo: src/cpp/xcosUtilities.cpp
1084 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-xcosUtilities.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo -c -o libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp
1085 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo
1086 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/xcosUtilities.cpp' object='libscixcos_algo_la-xcosUtilities.lo' libtool=yes @AMDEPBACKSLASH@
1087 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1088 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp
1089
1090 libscixcos_la-sci_Xcos.lo: sci_gateway/cpp/sci_Xcos.cpp
1091 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_Xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_Xcos.Tpo -c -o libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp
1092 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_Xcos.Tpo $(DEPDIR)/libscixcos_la-sci_Xcos.Plo
1093 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_Xcos.cpp' object='libscixcos_la-sci_Xcos.lo' libtool=yes @AMDEPBACKSLASH@
1094 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1095 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp
1096
1097 libscixcos_la-sci_warnBlockByUID.lo: sci_gateway/cpp/sci_warnBlockByUID.cpp
1098 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_warnBlockByUID.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo -c -o libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp
1099 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo
1100 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_warnBlockByUID.cpp' object='libscixcos_la-sci_warnBlockByUID.lo' libtool=yes @AMDEPBACKSLASH@
1101 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1102 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp
1103
1104 libscixcos_la-sci_closeXcosFromScilab.lo: sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1105 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_closeXcosFromScilab.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo -c -o libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1106 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo
1107 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_closeXcosFromScilab.cpp' object='libscixcos_la-sci_closeXcosFromScilab.lo' libtool=yes @AMDEPBACKSLASH@
1108 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1109 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1110
1111 libscixcos_la-sci_xcosDiagramToScilab.lo: sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1112 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosDiagramToScilab.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo -c -o libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1113 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo
1114 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' object='libscixcos_la-sci_xcosDiagramToScilab.lo' libtool=yes @AMDEPBACKSLASH@
1115 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1116 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1117
1118 libscixcos_la-sci_xcosPalLoad.lo: sci_gateway/cpp/sci_xcosPalLoad.cpp
1119 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalLoad.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo -c -o libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp
1120 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo
1121 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalLoad.cpp' object='libscixcos_la-sci_xcosPalLoad.lo' libtool=yes @AMDEPBACKSLASH@
1122 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1123 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp
1124
1125 libscixcos_la-sci_xcosPalCategoryAdd.lo: sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1126 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalCategoryAdd.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo -c -o libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1127 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo
1128 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' object='libscixcos_la-sci_xcosPalCategoryAdd.lo' libtool=yes @AMDEPBACKSLASH@
1129 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1130 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1131
1132 libscixcos_la-sci_xcosPalDelete.lo: sci_gateway/cpp/sci_xcosPalDelete.cpp
1133 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalDelete.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo -c -o libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp
1134 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo
1135 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalDelete.cpp' object='libscixcos_la-sci_xcosPalDelete.lo' libtool=yes @AMDEPBACKSLASH@
1136 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1137 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp
1138
1139 libscixcos_la-sci_xcosPalMove.lo: sci_gateway/cpp/sci_xcosPalMove.cpp
1140 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalMove.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo -c -o libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp
1141 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo
1142 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalMove.cpp' object='libscixcos_la-sci_xcosPalMove.lo' libtool=yes @AMDEPBACKSLASH@
1143 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1144 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp
1145
1146 libscixcos_la-sci_xcosPalEnable.lo: sci_gateway/cpp/sci_xcosPalEnable.cpp
1147 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalEnable.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo -c -o libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp
1148 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo
1149 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalEnable.cpp' object='libscixcos_la-sci_xcosPalEnable.lo' libtool=yes @AMDEPBACKSLASH@
1150 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1151 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp
1152
1153 libscixcos_la-sci_xcosPalDisable.lo: sci_gateway/cpp/sci_xcosPalDisable.cpp
1154 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalDisable.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo -c -o libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp
1155 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo
1156 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalDisable.cpp' object='libscixcos_la-sci_xcosPalDisable.lo' libtool=yes @AMDEPBACKSLASH@
1157 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1158 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp
1159
1160 libscixcos_la-sci_xcosPalGenerateIcon.lo: sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1161 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalGenerateIcon.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo -c -o libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1162 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo
1163 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' object='libscixcos_la-sci_xcosPalGenerateIcon.lo' libtool=yes @AMDEPBACKSLASH@
1164 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1165 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1166
1167 libscixcos_la-sci_xcosConfigureXmlFile.lo: sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1168 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosConfigureXmlFile.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo -c -o libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1169 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo
1170 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' object='libscixcos_la-sci_xcosConfigureXmlFile.lo' libtool=yes @AMDEPBACKSLASH@
1171 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1172 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1173
1174 libscixcos_la-sci_xcosAddToolsMenu.lo: sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1175 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosAddToolsMenu.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo -c -o libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1176 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo
1177 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' object='libscixcos_la-sci_xcosAddToolsMenu.lo' libtool=yes @AMDEPBACKSLASH@
1178 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1179 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1180
1181 libscixcos_la-sci_xcosUpdateBlock.lo: sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1182 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosUpdateBlock.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo -c -o libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1183 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo
1184 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosUpdateBlock.cpp' object='libscixcos_la-sci_xcosUpdateBlock.lo' libtool=yes @AMDEPBACKSLASH@
1185 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1186 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1187
1188 mostlyclean-libtool:
1189         -rm -f *.lo
1190
1191 clean-libtool:
1192         -rm -rf .libs _libs
1193 install-libscixcos_la_etcDATA: $(libscixcos_la_etc_DATA)
1194         @$(NORMAL_INSTALL)
1195         test -z "$(libscixcos_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_etcdir)"
1196         @list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
1197         for p in $$list; do \
1198           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1199           echo "$$d$$p"; \
1200         done | $(am__base_list) | \
1201         while read files; do \
1202           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_etcdir)'"; \
1203           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_etcdir)" || exit $$?; \
1204         done
1205
1206 uninstall-libscixcos_la_etcDATA:
1207         @$(NORMAL_UNINSTALL)
1208         @list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
1209         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1210         dir='$(DESTDIR)$(libscixcos_la_etcdir)'; $(am__uninstall_files_from_dir)
1211 install-libscixcos_la_rootDATA: $(libscixcos_la_root_DATA)
1212         @$(NORMAL_INSTALL)
1213         test -z "$(libscixcos_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_rootdir)"
1214         @list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
1215         for p in $$list; do \
1216           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1217           echo "$$d$$p"; \
1218         done | $(am__base_list) | \
1219         while read files; do \
1220           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_rootdir)'"; \
1221           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_rootdir)" || exit $$?; \
1222         done
1223
1224 uninstall-libscixcos_la_rootDATA:
1225         @$(NORMAL_UNINSTALL)
1226         @list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
1227         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1228         dir='$(DESTDIR)$(libscixcos_la_rootdir)'; $(am__uninstall_files_from_dir)
1229 install-libscixcos_la_sci_gatewayDATA: $(libscixcos_la_sci_gateway_DATA)
1230         @$(NORMAL_INSTALL)
1231         test -z "$(libscixcos_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)"
1232         @list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
1233         for p in $$list; do \
1234           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1235           echo "$$d$$p"; \
1236         done | $(am__base_list) | \
1237         while read files; do \
1238           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'"; \
1239           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" || exit $$?; \
1240         done
1241
1242 uninstall-libscixcos_la_sci_gatewayDATA:
1243         @$(NORMAL_UNINSTALL)
1244         @list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
1245         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1246         dir='$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1247 install-nobase_libscixcos_la_imagesDATA: $(nobase_libscixcos_la_images_DATA)
1248         @$(NORMAL_INSTALL)
1249         test -z "$(libscixcos_la_imagesdir)" || $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)"
1250         @list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
1251         $(am__nobase_list) | while read dir files; do \
1252           xfiles=; for file in $$files; do \
1253             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1254             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1255           test -z "$$xfiles" || { \
1256             test "x$$dir" = x. || { \
1257               echo "$(MKDIR_P) '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
1258               $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir"; }; \
1259             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
1260             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir" || exit $$?; }; \
1261         done
1262
1263 uninstall-nobase_libscixcos_la_imagesDATA:
1264         @$(NORMAL_UNINSTALL)
1265         @list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
1266         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1267         dir='$(DESTDIR)$(libscixcos_la_imagesdir)'; $(am__uninstall_files_from_dir)
1268
1269 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1270         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1271         unique=`for i in $$list; do \
1272             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1273           done | \
1274           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1275               END { if (nonempty) { for (i in files) print i; }; }'`; \
1276         mkid -fID $$unique
1277 tags: TAGS
1278
1279 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1280                 $(TAGS_FILES) $(LISP)
1281         set x; \
1282         here=`pwd`; \
1283         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1284         unique=`for i in $$list; do \
1285             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1286           done | \
1287           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1288               END { if (nonempty) { for (i in files) print i; }; }'`; \
1289         shift; \
1290         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1291           test -n "$$unique" || unique=$$empty_fix; \
1292           if test $$# -gt 0; then \
1293             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1294               "$$@" $$unique; \
1295           else \
1296             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1297               $$unique; \
1298           fi; \
1299         fi
1300 ctags: CTAGS
1301 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1302                 $(TAGS_FILES) $(LISP)
1303         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1304         unique=`for i in $$list; do \
1305             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1306           done | \
1307           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1308               END { if (nonempty) { for (i in files) print i; }; }'`; \
1309         test -z "$(CTAGS_ARGS)$$unique" \
1310           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1311              $$unique
1312
1313 GTAGS:
1314         here=`$(am__cd) $(top_builddir) && pwd` \
1315           && $(am__cd) $(top_srcdir) \
1316           && gtags -i $(GTAGS_ARGS) "$$here"
1317
1318 distclean-tags:
1319         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1320
1321 distdir: $(DISTFILES)
1322         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1323         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1324         list='$(DISTFILES)'; \
1325           dist_files=`for file in $$list; do echo $$file; done | \
1326           sed -e "s|^$$srcdirstrip/||;t" \
1327               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1328         case $$dist_files in \
1329           */*) $(MKDIR_P) `echo "$$dist_files" | \
1330                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1331                            sort -u` ;; \
1332         esac; \
1333         for file in $$dist_files; do \
1334           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1335           if test -d $$d/$$file; then \
1336             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1337             if test -d "$(distdir)/$$file"; then \
1338               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1339             fi; \
1340             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1341               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1342               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1343             fi; \
1344             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1345           else \
1346             test -f "$(distdir)/$$file" \
1347             || cp -p $$d/$$file "$(distdir)/$$file" \
1348             || exit 1; \
1349           fi; \
1350         done
1351 check-am: all-am
1352         $(MAKE) $(AM_MAKEFLAGS) check-local
1353 check: $(BUILT_SOURCES)
1354         $(MAKE) $(AM_MAKEFLAGS) check-am
1355 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1356 installdirs:
1357         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscixcos_la_etcdir)" "$(DESTDIR)$(libscixcos_la_rootdir)" "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" "$(DESTDIR)$(libscixcos_la_imagesdir)"; do \
1358           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1359         done
1360 install: $(BUILT_SOURCES)
1361         $(MAKE) $(AM_MAKEFLAGS) install-am
1362 install-exec: install-exec-am
1363 install-data: install-data-am
1364 uninstall: uninstall-am
1365
1366 install-am: all-am
1367         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1368
1369 installcheck: installcheck-am
1370 install-strip:
1371         if test -z '$(STRIP)'; then \
1372           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1373             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1374               install; \
1375         else \
1376           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1377             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1378             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1379         fi
1380 mostlyclean-generic:
1381
1382 clean-generic:
1383
1384 distclean-generic:
1385         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1386         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1387
1388 maintainer-clean-generic:
1389         @echo "This command is intended for maintainers to use"
1390         @echo "it deletes files that may require special tools to rebuild."
1391         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1392 clean: clean-am
1393
1394 clean-am: clean-generic clean-libtool clean-local \
1395         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1396
1397 distclean: distclean-am
1398         -rm -rf ./$(DEPDIR)
1399         -rm -f Makefile
1400 distclean-am: clean-am distclean-compile distclean-generic \
1401         distclean-local distclean-tags
1402
1403 dvi: dvi-am
1404
1405 dvi-am:
1406
1407 html: html-am
1408
1409 html-am:
1410
1411 info: info-am
1412
1413 info-am:
1414
1415 install-data-am: install-data-local install-libscixcos_la_etcDATA \
1416         install-libscixcos_la_rootDATA \
1417         install-libscixcos_la_sci_gatewayDATA \
1418         install-nobase_libscixcos_la_imagesDATA
1419
1420 install-dvi: install-dvi-am
1421
1422 install-dvi-am:
1423
1424 install-exec-am: install-pkglibLTLIBRARIES
1425
1426 install-html: install-html-am
1427
1428 install-html-am: install-html-local
1429
1430 install-info: install-info-am
1431
1432 install-info-am:
1433
1434 install-man:
1435
1436 install-pdf: install-pdf-am
1437
1438 install-pdf-am:
1439
1440 install-ps: install-ps-am
1441
1442 install-ps-am:
1443
1444 installcheck-am:
1445
1446 maintainer-clean: maintainer-clean-am
1447         -rm -rf ./$(DEPDIR)
1448         -rm -f Makefile
1449 maintainer-clean-am: distclean-am maintainer-clean-generic
1450
1451 mostlyclean: mostlyclean-am
1452
1453 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1454         mostlyclean-libtool
1455
1456 pdf: pdf-am
1457
1458 pdf-am:
1459
1460 ps: ps-am
1461
1462 ps-am:
1463
1464 uninstall-am: uninstall-libscixcos_la_etcDATA \
1465         uninstall-libscixcos_la_rootDATA \
1466         uninstall-libscixcos_la_sci_gatewayDATA \
1467         uninstall-nobase_libscixcos_la_imagesDATA \
1468         uninstall-pkglibLTLIBRARIES
1469
1470 .MAKE: all check check-am install install-am install-strip
1471
1472 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1473         clean clean-generic clean-libtool clean-local \
1474         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1475         distclean distclean-compile distclean-generic \
1476         distclean-libtool distclean-local distclean-tags distdir dvi \
1477         dvi-am html html-am info info-am install install-am \
1478         install-data install-data-am install-data-local install-dvi \
1479         install-dvi-am install-exec install-exec-am install-html \
1480         install-html-am install-html-local install-info \
1481         install-info-am install-libscixcos_la_etcDATA \
1482         install-libscixcos_la_rootDATA \
1483         install-libscixcos_la_sci_gatewayDATA install-man \
1484         install-nobase_libscixcos_la_imagesDATA install-pdf \
1485         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1486         install-ps-am install-strip installcheck installcheck-am \
1487         installdirs maintainer-clean maintainer-clean-generic \
1488         mostlyclean mostlyclean-compile mostlyclean-generic \
1489         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1490         uninstall-am uninstall-libscixcos_la_etcDATA \
1491         uninstall-libscixcos_la_rootDATA \
1492         uninstall-libscixcos_la_sci_gatewayDATA \
1493         uninstall-nobase_libscixcos_la_imagesDATA \
1494         uninstall-pkglibLTLIBRARIES
1495
1496
1497 # This target enables tests for Scilab
1498 check-local: $(top_builddir)/scilab-bin test
1499         if test -d $(mydatadir)/tests; then \
1500           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1501         fi
1502 check-code:
1503         if test -f build.xml; then \
1504                 $(ANT) checkstyle; \
1505         fi
1506         if test -x "$(SPLINT)"; then \
1507                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1508         fi
1509 @NEED_JAVA_TRUE@java:
1510 # Some configurations needs to export JAVA_HOME in the current env
1511 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1512 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1513 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1514 @NEED_JAVA_TRUE@                $(ANT); \
1515 @NEED_JAVA_TRUE@        fi
1516
1517 @NEED_JAVA_TRUE@clean-java:
1518 # Some configurations needs to export JAVA_HOME in the current env
1519 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1520 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1521 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1522 @NEED_JAVA_TRUE@                $(ANT) clean; \
1523 @NEED_JAVA_TRUE@        fi;
1524
1525 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1526 # We call the target swig-build on the variable SWIG_WRAPPERS
1527
1528 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1529 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1530 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1531 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1532 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1533 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1534 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1535 @SWIG_TRUE@             done; \
1536 @SWIG_TRUE@     fi
1537
1538 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1539 # We call the target swig-build on the variable SWIG_WRAPPERS
1540
1541 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1542 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1543 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1544 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1545 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1546 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1547 @GIWS_TRUE@             done; \
1548 @GIWS_TRUE@     fi
1549
1550 @GIWS_TRUE@giws-exception:
1551 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1552 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1553 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1554
1555 macros:
1556         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1557                 echo "Error : Cannot build $< : Scilab has not been built"; \
1558         else \
1559                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1560         fi)
1561
1562 # Removes the macros
1563 clean-macros:
1564 # Removes macros (*.bin generated from .sci)
1565         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1566                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1567                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1568         done
1569
1570 test:
1571 # More tests could be added here
1572         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1573         if test -f build.xml -a $$USEANT -eq 1; then \
1574                 $(ANT) test; \
1575         fi
1576
1577 all-local: $(TARGETS_ALL)
1578
1579 .sci.bin:
1580         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1581         echo "Error : Cannot build $< : Scilab has not been build"; \
1582         else \
1583         echo "Creating $@"; \
1584         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1585         fi )
1586
1587 install-html-local:
1588
1589 install-data-local-local:
1590 # Mainly for javasci
1591         @if test -d $(srcdir)/javadoc; then \
1592                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1593         fi
1594 # If the user wants the help sources to be installed
1595 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1596 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1597 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1598 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1599 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1600 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1601 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1602 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1603 @INSTALL_HELP_XML_TRUE@           done ; \
1604 @INSTALL_HELP_XML_TRUE@         fi; \
1605 @INSTALL_HELP_XML_TRUE@  fi; \
1606 @INSTALL_HELP_XML_TRUE@ done; \
1607 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1608 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1609 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1610 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1611 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1612 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1613 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1614 @INSTALL_HELP_XML_TRUE@           done ; \
1615 @INSTALL_HELP_XML_TRUE@         fi; \
1616 @INSTALL_HELP_XML_TRUE@ fi
1617 install-data-local:
1618 # Install the tests
1619         @echo "-------- Install tests (if any) --------"; \
1620         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1621           if test -d $(srcdir)/$$dir/; then \
1622             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1623                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1624                     if test -d "$(srcdir)/$$dir/$$file"; then \
1625                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1626                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1627                     else \
1628                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1629                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1630                     fi \
1631                   done; \
1632           fi; \
1633         done
1634 # Install the help chapter
1635         @echo "-------- Install the help chapter (if any) --------"; \
1636         for lang in $(HELP_CHAPTERLANG); do \
1637                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1638                 if test -f $$HELPFILE; then \
1639                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1640                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1641                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1642                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1643                 fi; \
1644         done
1645 # Install the demos & examples
1646         @echo "-------- Install demos & examples (if any) --------"; \
1647         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1648           if test -d $(srcdir)/$$dir/; then \
1649             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1650                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1651                     if test -d "$(srcdir)/$$dir/$$file"; then \
1652                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1653                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1654                     else \
1655                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1656                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1657                     fi \
1658                   done; \
1659           fi; \
1660         done
1661 # Install the macros
1662         @echo "-------- Install macros (if any) --------"; \
1663         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1664           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1665                 if test -d $(srcdir)/$$dir/; then \
1666                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1667                         if test -n "$(MACROSSPECIALEXT)"; then \
1668                                 specialExtDir=""; \
1669                                 for specialExt in $(MACROSSPECIALEXT); do \
1670                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1671                                 done; \
1672                                 FILELIST="$$FILELIST $$specialExtDir"; \
1673                         fi; \
1674                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1675                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1676                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1677                   done; \
1678                 fi; \
1679         done
1680 # Install java files (.jar)
1681         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1682         echo "-------- Install jar files --------"; \
1683     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1684           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1685                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1686                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1687           done ; \
1688         fi
1689
1690 ########### CLEAN ###################
1691 # Clean help (generated automatically by Scilab)
1692 # It used to clean the macro (clean-macros) but this was causing
1693 # make clean && make to fail Scilab startup
1694 @NEED_JAVA_TRUE@clean-local: clean-java
1695 @NEED_JAVA_FALSE@clean-local:
1696
1697 distclean-local:
1698         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1699
1700 .PHONY: macros java swig giws
1701
1702 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1703 # Otherwise a system limit (for SysV at least) may be exceeded.
1704 .NOEXPORT: